Summary:	Library for constructing CSS from Python dictionaries
Name:		python3-dict2css
Version:	0.3.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/dict2css/
Source0:	https://files.pythonhosted.org/packages/source/d/dict2css/dict2css-%{version}.tar.gz
# Source0-md5:	d3cf473eadc740b0b0fece325639e98f
URL:		https://github.com/sphinx-toolbox/dict2css
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-whey
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for constructing cascading style sheets from Python
dictionaries.

%prep
%setup -q -n dict2css-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%dir %{py3_sitescriptdir}/dict2css
%{py3_sitescriptdir}/dict2css/*.py
%{py3_sitescriptdir}/dict2css/__pycache__
%{py3_sitescriptdir}/dict2css/py.typed
%{py3_sitescriptdir}/dict2css-%{version}.dist-info
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dict2css.git;a=log;h=master

* Mon Apr 21 2025 Jan Palus <atler@pld-linux.org> 1a9d212
- new

